Draft Calque

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Layer and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Draft FlipDimension.svg Inverser la cote
Page suivante : Pente Draft Slope.svg Arrow-right.svg


Draft Layer.svg Draft Calque

Emplacement du menu
Draft → Utilitaires → Layer
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Aucun


Description

Le Draft Calque crée un type spécial de groupe qui contrôle les propriétés visuelles des objets placés à l'intérieur de celui-ci. En modifiant les propriétés du calque, telles que l'épaisseur du trait, la couleur du trait, la couleur de la forme et la transparence, les modifications sont propagées aux objets qui utilisent la propriété Layer.

Cet outil remplace Draft VisGroup implémenté dans FreeCAD 0.19.

Utilisation

  1. Allez dans menu Draft → Utilities → Draft Layer.svg Layer.
  2. Modifie les propriétés d'affichage du calque souhaitées.

Propriétés

  • DonnéesGroup: spécifie les éléments qui font partie du groupe.
  • Propriétés visuelles pouvant être modifiées et propagées aux objets: ViewDrawing Style style de dessin, ViewLine Color couleur de trait, ViewLine Width largeur de trait, ViewShape Color couleur de forme, ViewTransparency transparence et ViewVisibility visibilité.

Script

Voir aussi: FreeCAD Script de base.

Pour ajouter ou supprimer des objets du calque, remplacez simplement son attribut Group .

group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group
Arrow-left.svg Page précédente : Draft FlipDimension.svg Inverser la cote
Page suivante : Pente Draft Slope.svg Arrow-right.svg